import { BackendSecretResolver } from '@aws-amplify/plugin-types';
import { Construct } from 'constructs';
import { FunctionProps } from './factory.js';
import * as iam from 'aws-cdk-lib/aws-iam';
/**
 * Translates function environment props into appropriate environment records and builds a policy statement
 * in order to resolve secrets in environment props.
 */
export declare class FunctionEnvironmentTranslator {
    private readonly scope;
    private readonly functionEnvironmentProp;
    private readonly backendSecretResolver;
    private secretPaths;
    private environmentRecord;
    /**
     * Initialize translated environment variable records
     */
    constructor(scope: Construct, functionEnvironmentProp: Required<FunctionProps>['environment'], backendSecretResolver: BackendSecretResolver);
    getEnvironmentRecord: () => Record<string, string>;
    getSecretPolicyStatement: () => iam.PolicyStatement | undefined;
}
export type AmplifySecretPaths = {
    [branchPath: string]: {
        name: string;
        sharedPath: string;
    };
};
//# sourceMappingURL=function_env_translator.d.ts.map